fluidballs(6x)

NAME
fluidballs - the physics of bouncing balls.

SYNOPSIS
fluidballs [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--count number] [--size number] [--gravity number] [--wind number] [--elasticity number] [--delay number] [--nonrandom] [--no-shake] [--fps]

DESCRIPTION
Models the physics of bouncing balls, or of particles in a gas or fluid, depending on the settings. If "Shake Box" is selected, then every now and then, the box will be rotated, changing which direction is down (in order to keep the settled balls in motion.)

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--count number
    How many balls to display. Default: 300.

--size number
    Maximum size of each ball. Default: 25.

--gravity number
    Coefficient of gravity. Useful values are < 0.1. Default: 0.01.

--wind number
    Wind. Useful values are < 0.1. Default: 0.00.

--elasticity number
    Coefficient of elasticity. Useful values are 0.2 to 1.0. Default: 0.97. Lower numbers make less bouncy balls.

--delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

--nonrandom
    Make all balls be the same size.

--no-nonrandom
    Make the balls be random sizes. Default.

--shake | --no-shake
    Whether to shake the box if the system seems to have settled down. "Shake" means "change the direction of Down."

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Peter Birtles and Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Peter Birtles, Jamie Zawinski, and Steven Barker.